Bug 481492 - networkmanager insists on connecting somewhere
networkmanager insists on connecting somewhere
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-25 12:14 EST by feddy
Modified: 2009-11-10 19:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-10 19:59:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description feddy 2009-01-25 12:14:15 EST
Description of problem:

I have configured two connections, wired eth0 and dsl. Both have connect automatically DESELECTED. Yet one always gets started. It seems in preference the WLAN vis the dsl connection.

Automatically connection to an insecure network despite the configuration is a security concern. In any case it's a bug. I say no connection and it connects.


Version-Release number of selected component (if applicable):
svn4229.f10 (64)

How reproducible:
always 

Steps to Reproduce:
1. configure connection(s) 
2. deselect automatic connection
3. relogin
  
Actual results:
connection comes up automatically on session start

Expected results:
no auto connection as per settings.

Additional info:
Comment 1 Dan Williams 2009-01-27 14:05:07 EST
Does this still occur with the latest F10 NetworkManager updates?  svn4229 isn't the latest.
Comment 2 feddy 2009-02-04 11:48:16 EST
sorry for slow reply. I guess the svn version was the one installed by the DVD since I did not do all 247 enh updates after installation, just security updates.

I have now updated to 1.0.7.0 . Firstly this resulted in all configured connections disappearing. 

It now appears forbidden to change anything on 'auto eth0' or to delete it.

I configured a ethernet connection to modem router by DHCP. This now connects everytime at boot and does not disconnect if I select another connection in NM. It seems to operate independantly, despite having being set up by nm.

I now have a permanent connection unless I unplug it.

It seems nm does not allow me to disconnect. This is something I would wish to do. 

I would expect the the radio buttons to be checkboxes. Firstly I see no reason why the two connections should be mutually exclusive, if I want to connect to LAN and DSL at the same time. Also if they where checkboxes I could simply uncheck both and work off line.

I would also expect the boot up state to be off line and to click something like nm to connect. There is the always connect option on the configuration.
Comment 3 Dan Williams 2009-02-04 12:31:54 EST
(In reply to comment #2)
> sorry for slow reply. I guess the svn version was the one installed by the DVD
> since I did not do all 247 enh updates after installation, just security
> updates.
> 
> I have now updated to 1.0.7.0 . Firstly this resulted in all configured
> connections disappearing. 

Odd; that shouldn't happen.  How many did you have before?

> It now appears forbidden to change anything on 'auto eth0' or to delete it.

This connection is added by the system settings service when there is no valid system ethernet connection (ie, an ifcfg file in /etc/sysconfig/network-scripts), so that when you plug in a cable it just works.  If your setup uses DHCP, you should be able to use this.

> I configured a ethernet connection to modem router by DHCP. This now connects
> everytime at boot and does not disconnect if I select another connection in NM.
> It seems to operate independantly, despite having being set up by nm.

Did you set this connection up in system-config-network?

> I now have a permanent connection unless I unplug it.
> 
> It seems nm does not allow me to disconnect. This is something I would wish to
> do. 

If you disconnect, the connection would simply be immediately reconnected because it's set to be automatically connected.  That's what automatic means of course; if you want to manually control when you're connected and when you're not, you can uncheck the "Connect automatically" box in the connection editor, and then manually select when you want to connect or not.

> I would expect the the radio buttons to be checkboxes. Firstly I see no reason
> why the two connections should be mutually exclusive, if I want to connect to
> LAN and DSL at the same time. Also if they where checkboxes I could simply
> uncheck both and work off line.

If you're using PPPoE, then this is a limitation of the current version of NetworkManager that the LAN is not accessible when PPPoE is on.  That's something that we intend to fix quite soon.

> I would also expect the boot up state to be off line and to click something
> like nm to connect. There is the always connect option on the configuration.

You can get this control by unchecking the "Connect automatically" checkbox in the connection editor.  That will cause NetworkManager to never connect that specific connection until you tell it to.

let me know if this works for you!
Comment 4 Jessica Sterling 2009-03-06 17:16:28 EST
This bug has been triaged

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Dan Williams 2009-11-10 19:59:04 EST
Please re-open if you still have the problem and if latest updates don't fix it for you:

NetworkManager-0.7.1.998-1.fc10 has been pushed to the Fedora
10 testing repository.  If problems still persist, please make note of it in
this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager'.  You can provide feedback for this update
here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10546  

Thanks!

Note You need to log in before you can comment on or make changes to this bug.